Jala 1.3

## Class jala.Date

    Object
       |
       +--jala.Date

class jala.Date

This class provides various convenience methods for rendering purposes.
Defined in Date.js

Nested Class Summary
`<static class>` | `jala.Date.Calendar`

Constructor Summary
`jala.Date ()` Constructs a new Renderings object.

Method Summary
`void` | `renderEditor(<String> prefix, <Date> date, <Object> fmt)` Renders a timestamp as set of DropDown boxes, following the format passed as argument.
`String` | `renderEditorAsString(prefix, date, pattern)` Returns a timestamp as set of dropdown-boxes

Constructor Detail

### jala.Date

    jala.Date()

Constructs a new Renderings object.

Method Detail

### renderEditor

    void renderEditor(<String> prefix, <Date> date, <Object> fmt)

Renders a timestamp as set of DropDown boxes, following the format passed as argument. Every <select> item is prefixed with a string so that it can be retrieved easily from the values of a submitted POST request.

Parameters:

`prefix` - The prefix to use for all dropdown boxes, eg. "postdate"

`date` - A Date object to use as preselection (optional)

`fmt` - Array containing one parameter object for every single select box that should be rendered, with the following properties set:

- pattern - The date format pattern that should be rendered. Valid patterns are: "dd", "MM", "yyyy", "HH", "ss".
- firstOption - The string to use as first option, eg.: "choose a day"

### renderEditorAsString

    String renderEditorAsString(prefix, date, pattern)

Returns a timestamp as set of dropdown-boxes

See:

- renderEditor()

Jala 1.3

Documentation generated by JSDoc on Tue Jan 8 15:45:31 2008